SbVec2us Class Reference

`#include <Inventor/SbVec2us.h>`

## Public Member Functions

| SbVec2us (const unsigned short v[2])
| SbVec2us (unsigned short x, unsigned short y)
| SbVec2us (const SbVec2s &v)
| SbVec2us (const SbVec2ub &v)
| SbVec2us (const SbVec2ui32 &v)
SbVec2us & | setValue (const unsigned short v[2])
SbVec2us & | setValue (unsigned short x, unsigned short y)
SbVec2us & | setValue (const SbVec2s &v)
SbVec2us & | setValue (const SbVec2ub &v)
SbVec2us & | setValue (const SbVec2ui32 &v)
const unsigned short * | getValue (void) const
void | getValue (unsigned short &x, unsigned short &y) const
unsigned short & | operator[] (int i)
const unsigned short & | operator[] (int i) const
int32_t | dot (SbVec2us v) const
void | negate (void)
SbVec2us & | operator*= (int d)
SbVec2us & | operator*= (double d)
SbVec2us & | operator/= (int d)
SbVec2us & | operator/= (double d)
SbVec2us & | operator+= (SbVec2us v)
SbVec2us & | operator-= (SbVec2us v)
SbVec2us | operator- (void) const

## Protected Attributes

unsigned short | vec [2]

## Detailed Description

Since
  Coin 2.5

The documentation for this class was generated from the following files:

- SbVec2us.h
- SbVec2us.cpp